commit:     a2f3e0709d8c052abcb5b9e4cda6b3e12e23994b
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 28 16:00:29 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Nov 28 16:02:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2f3e070

x11-themes/gentoo-artwork: Fix fperms and rm failures

Other minor fixes.

Closes: https://bugs.gentoo.org/907720
Closes: https://bugs.gentoo.org/846923
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 x11-themes/gentoo-artwork/gentoo-artwork-0.4.2-r1.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/x11-themes/gentoo-artwork/gentoo-artwork-0.4.2-r1.ebuild 
b/x11-themes/gentoo-artwork/gentoo-artwork-0.4.2-r1.ebuild
index 7da211b69ba5..3256d4426823 100644
--- a/x11-themes/gentoo-artwork/gentoo-artwork-0.4.2-r1.ebuild
+++ b/x11-themes/gentoo-artwork/gentoo-artwork-0.4.2-r1.ebuild
@@ -63,7 +63,7 @@ src_unpack() {
        if use icons ; then
                # Gentoo Bubble Icons
                unpack gentoo-bubble-icons-${BI_VER}.tar.gz
-               cd "${WORKDIR}"/${PN}-0.4.2/icons/gentoo || die
+               pushd "${WORKDIR}"/${PN}-0.4.2/icons/gentoo >/dev/null || die
 
                cp "${FILESDIR}"/index.theme . || die
 
@@ -75,10 +75,12 @@ src_unpack() {
                # fix errors in filenames
                mv l33t/l33t_nero.png l33t/l33t_UTI_nero.png || die
                # fix permissions (bug #213385)
-               fperms 644 l33t/l33t_MAI_mutt.png
+               chmod -x l33t/l33t_MAI_mutt.png || die
 
                # remove misspelled files
                rm "${S}"/icons/gentoo/{32x32,48x48,64x64}/slypheed.png || die
+
+               popd >/dev/null || die
        fi
 
        if use pixmaps ; then
@@ -102,8 +104,9 @@ src_unpack() {
        fi
 
        if ! use offensive ; then
+               local i
                for i in $(<"${FILESDIR}"/offensive_list) ; do
-                       rm "${S}/${i}" || die
+                       rm -f "${S}/${i}" || die
                done
        fi
 }

Reply via email to